USE COWS
GO


SET DEADLOCK_PRIORITY 10;

CREATE TABLE [dbo].[CUST_SCRD_LOG]
(
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[SCRD_OBJ_ID] [int] NOT NULL,
	[SCRD_OBJ_TYPE_ID] [tinyint] NOT NULL,
	[LOG_MSG] [varbinary](max) NOT NULL,
	[MODFD_DT] [datetime] NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_CUST_SCRD_LOG_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_CUST_SCRD_LOG] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO


ALTER TABLE [dbo].[CUST_SCRD_LOG]  WITH NOCHECK ADD  CONSTRAINT [FK01_CUST_SCRD_LOG] FOREIGN KEY([SCRD_OBJ_TYPE_ID])
REFERENCES [dbo].[LK_SCRD_OBJ_TYPE] ([SCRD_OBJ_TYPE_ID])
GO

ALTER TABLE [dbo].[CUST_SCRD_LOG] CHECK CONSTRAINT [FK01_CUST_SCRD_LOG]
GO

CREATE UNIQUE INDEX [UX01_CUST_SCRD_LOG] ON [dbo].[CUST_SCRD_LOG]
(
	[SCRD_OBJ_ID], [SCRD_OBJ_TYPE_ID]
)
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
